## montage 3.3+dfsg

=== debian/changelog ===
montage (3.3+dfsg-1) unstable; urgency=low

  * Initial release. Closes: #787706

 -- Ole Streicher <olebole@debian.org>  Thu, 18 Jun 2015 22:05:31 +0200
