=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg// \
http://montage.ipac.caltech.edu/docs/download2.html .*/Montage_v(.*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
