=== debian/changelog ===
montage (4.0+dfsg-3) unstable; urgency=low

  * Remove linkage to libnsl
  * Fix freetype include path again, to make it universal

 -- Ole Streicher <olebole@debian.org>  Thu, 10 Dec 2015 16:17:36 +0100

montage (4.0+dfsg-2) unstable; urgency=low

  * Fix freetype include path

 -- Ole Streicher <olebole@debian.org>  Tue, 08 Dec 2015 16:03:55 +0100

montage (4.0+dfsg-1) unstable; urgency=low

  * New upstream version

 -- Ole Streicher <olebole@debian.org>  Fri, 02 Oct 2015 21:47:55 +0200
