=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Uploaders: Gijs Molenaar <gijs@pythonic.nl>, Ole Streicher <olebole@debian.org>
 Build-Depends: debhelper (>= 9),
                libcfitsio-dev | libcfitsio3-dev,
+	       libfreetype6-dev,
                libjpeg-dev,
                libwcstools-dev
 Standards-Version: 3.9.6
@@ -14,7 +15,7 @@
 
 Package: montage
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}, fonts-freefont-ttf
 Description: Toolkit for assembling FITS images into mosaics
  Montage is a toolkit for assembling astronomical images into custom mosaics.
  .
