=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --parallel

override_dh_auto_build:
	mkdir -p lib/include bin
	dh_auto_build

override_dh_installchangelogs:
	dh_installchangelogs ChangeHistory
