=== util/Makefile ===
--- 
+++ 
@@ -3,7 +3,9 @@
 	(cd Archive/ArchiveExec; make; make install)
 	(cd Archive/ArchiveGet; ./Configure.sh; make; make install)
 	(cd BestImage; make; make install)
+	(cd Calibrate; make; make install)
 	(cd CatMap; ./Configure.sh; make; make install)
+	(cd CatSearch; make; make install)
 	(cd Examine; ./Configure.sh; make; make install)
 	(cd Exec; ./Configure.sh; make; make install)
 	(cd FixNaN; ./Configure.sh; make; make install)
@@ -11,19 +13,21 @@
 	(cd JPEG; ./Configure.sh; make; make install)
 	(cd Pad; ./Configure.sh; make; make install)
 	(cd Pix2Coord; ./Configure.sh; make; make install)
-	(cd QuickSearch; ./Configure.sh; make; make install)
 	(cd Rotate; ./Configure.sh; make; make install)
 	(cd ShrinkHdr; ./Configure.sh; make; make install)
 	(cd TblExec; make; make install)
 	(cd Transpose; ./Configure.sh; make; make install)
 	(cd Viewer; ./Configure.sh; make; make install)
 
+
 clean:
 	(cd Archive/ArchiveList; make clean)
 	(cd Archive/ArchiveExec; make clean)
 	(cd Archive/ArchiveGet; make clean)
 	(cd BestImage; make clean)
+	(cd Calibrate; make clean)
 	(cd CatMap; make clean)
+	(cd CatSearch; make clean)
 	(cd Examine; make clean)
 	(cd Exec; make clean)
 	(cd FixNaN; make clean)
@@ -31,7 +35,6 @@
 	(cd JPEG; make clean)
 	(cd Pad; make clean)
 	(cd Pix2Coord; make clean)
-	(cd QuickSearch; make clean)
 	(cd Rotate; make clean)
 	(cd ShrinkHdr; make clean)
 	(cd TblExec; make clean)
