=== lib/src/Makefile ===
--- 
+++ 
@@ -1,12 +1,14 @@
-l:
+all:
 	(cd cfitsio-3.25; ./configure; make; cp libcfitsio.a ../..; cp *.h ../../include)
 	(cd cmd; make; make install)
 	(cd coord; make; make install)
 	(cd mtbl; make; make install)
 	(cd svc; make; make install)
+	(cd json; make; make install)
 	(cd boundaries; make; make install)
 	(cd pixbounds; make; make install)
-	(cd wcstools-3.8.7/libwcs; make; cp libwcs.a ../../..; cp *.h ../../../include)
+	(cd www; make; make install)
+	(cd wcssubs3.9.0_montage; make; cp libwcs.a ../..; cp *.h ../../include)
 	(cd two_plane_v1.1; make; make install)
 	(cd lodepng_20140823; make; make install)
 	(cd jpeg-8b; ./configure; make; cp .libs/libjpeg.a ../..; cp jpeglib.h jconfig.h jmorecfg.h ../../include)
@@ -21,9 +23,10 @@
 	(cd coord; make clean)
 	(cd mtbl; make clean)
 	(cd svc; make clean)
+	(cd json; make clean)
 	(cd boundaries; make clean)
 	(cd pixbounds; make clean)
-	(cd wcstools-3.8.7/libwcs; make clean)
+	(cd wcssubs3.9.0_montage; make clean)
 	(cd two_plane_v1.1; make clean)
 	(cd lodepng_20140823; make clean)
 	(cd jpeg-8b; make clean)
