=== debian/changelog ===
montage (5.0+dfsg-1) unstable; urgency=low

  * Update standards-version (no changes) and VCS fields
  * New upstream version 5.0+dfsg
  * Push Standards-Version to 4.0.0. No changes.
  * Rediff patches and update to new version
  * Remove obsolete mQuickSearch
  * Add new binaries
  * Update manpages

 -- Ole Streicher <olebole@debian.org>  Mon, 19 Jun 2017 17:52:38 +0200
