=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: montage
 Section: science
 Priority: optional
-Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Gijs Molenaar <gijs@pythonic.nl>, Ole Streicher <olebole@debian.org>
 Build-Depends: debhelper (>= 9),
                libcfitsio-dev | libcfitsio3-dev,
 	       libfreetype6-dev,
                libjpeg-dev,
                libwcstools-dev
-Standards-Version: 3.9.6
+Standards-Version: 4.0.0
 Homepage: http://montage.ipac.caltech.edu/
-Vcs-Git: git://anonscm.debian.org/debian-astro/packages/montage.git
-Vcs-Browser: http://anonscm.debian.org/cgit/debian-astro/packages/montage.git
+Vcs-Git: https://anonscm.debian.org/git/debian-astro/packages/montage.git
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-astro/packages/montage.git
 
 Package: montage
 Architecture: any
